Page MenuHomePhabricator

Modularize Herald "flag" action, plus update transcripts
ClosedPublic

Authored by epriestley on Jul 18 2015, 1:07 PM.

Details

Summary

Ref T8726. This modularizes "Mark with flag", plus rebuilds transcripts in a more modern/flexible way. The big transcript stuff is:

  • Transcripts are now translatable.
  • Transcripts can now show multiple outputs from a single action. For example, an action like "add A, B, C to subscribers" can now say "added A; B is invalid; C was already subscribed".
Test Plan

Diff Detail

Repository
rP Phabricator
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

epriestley updated this revision to Diff 32996.Jul 18 2015, 1:07 PM
epriestley retitled this revision from to Modularize Herald "flag" action, plus update transcripts.
epriestley updated this object.
epriestley edited the test plan for this revision. (Show Details)
epriestley added a reviewer: btrahan.
eadler added a subscriber: eadler.Jul 19 2015, 8:12 PM
btrahan accepted this revision.Jul 20 2015, 6:20 PM
btrahan edited edge metadata.
This revision is now accepted and ready to land.Jul 20 2015, 6:20 PM
This revision was automatically updated to reflect the committed changes.